Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	1.6
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source1:	radvd.init
Source2:	radvd.conf
Source3:	radvd.sysconfig
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	flex bison
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.

%prep

%setup -q
cp %{SOURCE1} radvd.init
cp %{SOURCE2} radvd.conf
cp %{SOURCE3} radvd.sysconfig

%build
%serverbuild
%configure2_5x
%make


%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

install -m0644 radvd.conf %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 radvd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -m0755 radvd.init %{buildroot}%{_initrddir}/radvd
perl -pi -e "s|/etc/rc.d/init\.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*

%clean
rm -rf %{buildroot}

%post
%_post_service radvd

%preun
%_preun_service radvd
 
%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_initrddir}/radvd
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.6-1mdv2010.1
+ Revision: 515236
- o update to 1.6
  o use %%configure2_5x

* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4-1mdv2010.0
+ Revision: 418608
- update to new version 1.4

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3-1mdv2010.0
+ Revision: 399841
- Update to new version 1.3

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.1
+ Revision: 353777
- 1.2
- bunzip initscripts and config
- sync with the bundled fedora stuff (use a %%{_sysconfdir}/sysconfig/radvd file)

* Sun Mar 02 2008 Pascal Terjan <pterjan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 177747
- update to new version 1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 90248
- rebuild


* Wed Nov 01 2006 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2007.0
+ Revision: 75061
- 1.0
- Import radvd

* Tue May 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.9-1mdk
- 0.9

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-5mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-4mdk
- convert parallel init to LSB
- split Requires(X,Y)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 0.8-3mdk
- Add parallel init stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8-2mdk
- Rebuild

* Tue Aug 09 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- New release 0.8

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.3-2mdk
- add BuildRequires: bison

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-1mdk
- 0.7.3
- %%mkrel
- fix requires
- fix executable-marked-as-config-file

* Thu Aug 19 2004 Michael Scherer <misc@mandrake.org> 0.7.2-2mdk 
- Rebuild

